body {
    margin: 0;
    padding: 0;
    background: linear-gradient(to bottom, rgb(38,38,38), rgb(252, 88, 87)); /* Background color gradient from black to red */
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column; /* Align content vertically */
    height: 100vh;
    overflow: hidden; /* Hide overflow to prevent scrollbars */
    
}

img {
    max-width: 100vh;
    max-height: 100vh;
    animation: zoomIn 3s forwards; /* Apply image animation */
    opacity: 0; /* Initially hide the image */
}

@keyframes zoomIn {
    from {
        transform: scale(0.6); /* Start with 100% size */
        opacity: 0; /* Start with opacity 0 */
    }
    to {
        transform: scale(1.0); /* End with 110% size */
        opacity: 1; /* Fully visible */
    }
}
@keyframes footerFadeIn {
    from {
        opacity: 0; /* Start with opacity 0 */
    }
    to {
        opacity: 1; /* Fully visible */
    }
}

.footer-container {
    background-color: rgba(51, 51, 51, 0.0); /* 20% transparent black */
    width: 100%;
    padding: 20px 0;
    position: absolute;
    bottom: 0;
    opacity: 0; /* Initially hide the footer */
    animation: footerFadeIn 4s forwards; /* Apply fade-in animation */
}


.footer {
    display: flex; /* Use flexbox */
    justify-content: center; /* Center-align items horizontally */
    align-items: center; /* Center-align items vertically */
    color: white;
    width: 100%; /* Adjust width */
    margin: 0 auto;
}

.footer a {
    color: white;
    text-decoration: none;
    padding: 0 10px;
}

.footer a:not(:last-child) {
    border-right: 1px solid white;
}


.image-container {
    position: relative;
}

/* CSS for the buttons */
.button-container {
    position: absolute;
    top: 0; /* Position at the top of the image */
    left: 0; /* Position at the left of the image */
    width: 100%; /* Take the full width of the image */
    height: 100%; /* Take the full height of the image */
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none; /* Remove underline */
    font-family: inherit; /* Use the normal font */
}

.top-button,
.left-button,
.right-button {
    background-color: rgba(51, 51, 51, 0.0);
    color: rgba(255, 255, 255, 0.85);
    border: none;
    border-radius: 50%;
    cursor: pointer;
    width: 75px;
    height: 50px;
    display:inline;
    justify-content: center;
    align-items: center;
    position: absolute;
    font-size: x-large;
    font-weight: bold;
    animation: buttonFadeIn 8s forwards; /* Apply fade-in animation */
    text-decoration: none; /* Remove underline */
    font-family: inherit; /* Use the normal font */
}

.top-button {
    top: 22%; /* Adjust the value as needed */
    right: 47.5%;
}

.left-button {
    left: 18%; /* Adjust the value as needed */
    top: 15%;
}

.right-button {
    right: 18%; /* Adjust the value as needed */
    top: 15%;
}

@keyframes buttonFadeIn {
    from {
        opacity: 0; /* Start with opacity 0 */
    }
    to {
        opacity: 1; /* Fully visible */
    }
}